(function() {
    "use strict";

    //= ../app/app/dist/pdf-embed.js

    document.addEventListener('appReady.EappsPdfEmbed', function() {
        var widgets = document.querySelectorAll('[data-elfsight-pdf-embed-options]');

        Array.prototype.slice.call(widgets).forEach(function(widget) {
            var version = widget.getAttribute('data-elfsight-pdf-embed-version');
            var options = widget.getAttribute('data-elfsight-pdf-embed-options');
            var data = JSON.parse(decodeURIComponent(options));

            window.eappsPdfEmbed(widget, data);

            widget.removeAttribute('data-elfsight-pdf-embed-options');
            widget.removeAttribute('data-elfsight-pdf-embed-version');

            widget.data = {
                options: data,
                version: version
            };
        });
    });
})();
